Skip to main content
POST
/
datasets
/
v3
/
scrape
Search by Prompt
curl --request POST \
  --url https://api.brightdata.com/datasets/v3/scrape \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "input": [
    {
      "url": "<string>",
      "prompt": "<string>",
      "country": "<string>",
      "index": 123,
      "require_sources": true,
      "additional_prompt": "<string>",
      "web_search": true
    }
  ]
}
'
[
  {
    "url": "https://chatgpt.com/?q=Top%20hotels%20in%20New%20York",
    "prompt": "Top hotels in New York",
    "answer_text": "Here are some of the top-rated hotels in New York City...",
    "answer_text_markdown": "## Top Hotels in New York City\n\n1. **The Plaza** - Iconic luxury...",
    "answer_html": "<div>...</div>",
    "model": "gpt-4o",
    "web_search_triggered": true,
    "citations": [
      {
        "title": "Best Hotels in NYC 2024",
        "url": "https://www.travelandleisure.com/best-hotels-nyc",
        "position": 1
      }
    ],
    "search_sources": [
      {
        "url": "https://www.travelandleisure.com/best-hotels-nyc",
        "title": "Best Hotels in NYC",
        "favicon": "https://www.travelandleisure.com/favicon.ico"
      }
    ],
    "links_attached": [
      {
        "url": "https://www.theplazany.com",
        "text": "The Plaza",
        "position": 0
      }
    ],
    "recommendations": [],
    "references": [],
    "country": "us",
    "is_map": true,
    "shopping_visible": false,
    "prompt_sent_at": "2024-12-15T10:30:00.000Z",
    "index": null
  }
]

Query Parameters

dataset_id
string
default:"gd_m7aof0k82r803d5bjm"
required
The dataset ID used for this request.
Must be set to gd_m7aof0k82r803d5bjm to collect ChatGPT Search - Search by Prompt data.
notify
boolean
default:false
Whether to send notifications when the request is completed.
include_errors
boolean
default:true
Whether to include errors in the response.

Request Body

input
object[]
required
An array of input objects.

Example

{
  "input": [
    {"url": "https://chatgpt.com/", "prompt": "Top hotels in New York", "country": "us", "web_search": true},
    {"url": "https://chatgpt.com/", "prompt": "What are the biggest business trends to watch in the next five years?"}
  ]
}
[
  {
    "url": "https://chatgpt.com/?q=Top%20hotels%20in%20New%20York",
    "prompt": "Top hotels in New York",
    "answer_text": "Here are some of the top-rated hotels in New York City...",
    "answer_text_markdown": "## Top Hotels in New York City\n\n1. **The Plaza** - Iconic luxury...",
    "answer_html": "<div>...</div>",
    "model": "gpt-4o",
    "web_search_triggered": true,
    "citations": [
      {
        "title": "Best Hotels in NYC 2024",
        "url": "https://www.travelandleisure.com/best-hotels-nyc",
        "position": 1
      }
    ],
    "search_sources": [
      {
        "url": "https://www.travelandleisure.com/best-hotels-nyc",
        "title": "Best Hotels in NYC",
        "favicon": "https://www.travelandleisure.com/favicon.ico"
      }
    ],
    "links_attached": [
      {
        "url": "https://www.theplazany.com",
        "text": "The Plaza",
        "position": 0
      }
    ],
    "recommendations": [],
    "references": [],
    "country": "us",
    "is_map": true,
    "shopping_visible": false,
    "prompt_sent_at": "2024-12-15T10:30:00.000Z",
    "index": null
  }
]